Creates a new name service configuration for the specified environment and chain.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/nameService/{chainName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"domain": "An example name",
"signature": "<string>"
}
'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"domain": "An example name",
"enabledAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.dynamic.xyz/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Shortened chain name
ETH, EVM, FLOW, SOL, ALGO, STARK, COSMOS, BTC, ECLIPSE, SUI, SPARK, TRON, APTOS, TON, STELLAR, ALEO, TEMPO, MIDNIGHT Valid blockchain wallet address, must be an alphanumeric string (underscores allowed for chains like Midnight)
255^[A-Za-z0-9_]{18,100}$"0xbF394748301603f18d953C90F0b087CBEC0E1834"
255^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
Cryptographic signature of the signing message proving domain ownership
Successfully created nane service for this environment and chain
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Valid blockchain wallet address, must be an alphanumeric string (underscores allowed for chains like Midnight)
255^[A-Za-z0-9_]{18,100}$"0xbF394748301603f18d953C90F0b087CBEC0E1834"
255^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
If the ENS domain is enabled, then this timestamp will be present.
Was this page helpful?
curl --request POST \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/nameService/{chainName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"domain": "An example name",
"signature": "<string>"
}
'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"domain": "An example name",
"enabledAt": "2023-11-07T05:31:56Z"
}